Bug 63415 - Sony CRX140E cdrom must be marked "no dma", else kernel panic
Sony CRX140E cdrom must be marked "no dma", else kernel panic
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On: 63413
  Show dependency treegraph
Reported: 2002-04-13 10:08 EDT by Bryce Nesbitt
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bryce Nesbitt 2002-04-13 10:08:43 EDT
This cdrom drive has defective DMA, leading to kernel panics.

I solve this with an /etc/sysconfig/harddiskhda file, and the
patch from Bug #63413.  The command line for a fix is:

hdparm -d0 -u0 -c0 /dev/hda
hdparm -i /dev/hda


 Model=SONY CD-RW CRX140E, FwRev=1.0n, SerialNo=
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=0kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:180,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4 
 DMA modes: sdma0 sdma1 sdma2 mdma0 mdma1 mdma2 udma0 udma1 *udma2 
Comment 1 Arjan van de Ven 2002-04-15 08:41:39 EDT
The plan is to disable dma for cdroms by default; due to the shere amount of
cdrom drives that get it wrong, combined with the effect ("hang")
Comment 2 Bryce Nesbitt 2002-04-23 21:30:45 EDT
Good move.
Comment 3 Bugzilla owner 2004-09-30 11:39:30 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.